# Sample configuration for k8s-bigip-ctlr. BIG-IP configuration is mounted
# from the secret store into the controller.
apiVersion: apps/v1
kind: Deployment
metadata:
  name: k8s-bigip-ctlr-deployment
  namespace: kube-system
spec:
  replicas: 1
  selector:
    matchLabels:
      app: k8s-bigip-ctlr-deployment
  template:
    metadata:
      labels:
        app: k8s-bigip-ctlr-deployment
    spec:
      containers:
        - name: k8s-bigip-ctlr
          image: "amit49g/k8s-bigip-ctlr:int-build-2"
          command: ["/app/bin/k8s-bigip-ctlr"]
          args: [
            "--credentials-directory=/tmp/creds",
            "--bigip-username=XXXXXX",
            "--bigip-password=XXXXXX",
            "--bigip-url=XXXXXX"
            "--gtm-credentials-directory=/tmp/gtm-creds",
            "--bigip-partition=<name_of_partition>",
            "--pool-member-type=nodeport",
            "--insecure",
            "--custom-resource-mode=true",
            ]
          volumeMounts:
          - name: bigip-secret
            mountPath: "/tmp/creds"
            readOnly: true
          - name: gtm-bigip-secret
            mountPath: "/tmp/gtm-creds"
            readOnly: true
      volumes:
      - name: bigip-secret
        secret:
          secretName: bigip-secret
      - name: gtm-bigip-secret
        secret:
          secretName: gtm-bigip-secret
      serviceAccount: bigip-controller
      serviceAccountName: bigip-controller